%define name gnoise
%define version 0.1.15
%define release %mkrel 8

Version: 	%{version}
Summary: 	GTK-based wave file editor
Name: 		%{name}
Release: 	%{release}
License: 	GPL
Group: 		Sound
Source: 	%{name}-%{version}.tar.bz2
Patch0:		gnoise-0.1.15-fix-desktop.patch
URL: 		http://sourceforge.net/projects/gnoise/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+-devel
BuildRequires:	automake
BuildRequires:	desktop-file-utils

%description
GNoise is a GTK-based wave file editor for Linux capable of handling large 
files. A peaks display cache provides a fast, double-buffered display.

%prep

%setup -q
%patch0 -p0

%build
export FORCE_AUTOCONF_2_5=1
aclocal
automake -a -c
autoconf

%configure --disable-gnome

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

desktop-file-install --vendor='' --delete-original \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%_datadir/gnome/apps/Multimedia/gnoise.desktop

%post
%update_menus
 
%postun
%clean_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL TODO ChangeLog
%{_bindir}/*
%_datadir/pixmaps/gnoise.png
%_datadir/applications/*


%changelog
* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.1.15-8mdv2008.0
+ Revision: 76719
- Use desktop patch to fix Type
- Add gtk category
- drop old menu
- correct desktop file

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character


* Tue Jan 09 2007 Crispin Boylan <crisb@mandriva.org> 0.1.15-7mdv2007.0
+ Revision: 106211
- Really disable gnome
- Import gnoise

* Sat Aug 19 2006 Lenny Cartier <lenny@mandriva.com> 0.1.15-6mdv2007.0
- xdg

* Fri Nov 05 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.15-5mdk
- add BuildRequires: libgtk+-devel
- use current autotools

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1.15-4mdk
- 0.1.15

